package cmm.service;

import java.util.List;

import cmm.util.DataMap;
import egovframework.rte.fdl.cmmn.exception.EgovBizException;


public interface CmmCmsService {
	List<CmmActivityHstVO> selectCmmActivityHstOpList(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
	List<CmmActivityHstVO> selectCmmScrapList(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
	int selectCmmScrapListTotCnt(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
	int selectCmmActivityHstOpListTotCnt(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
	List<String> selectCmmCmsKeywordsList(List<CmmActivityHstVO> result) throws EgovBizException;
	List<DataMap> selectCmmCmsTagsList(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
	List<CmmActivityHstVO> selectCmmCmsPopularList(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
	void deleteAllCmmScrapInfo(CmmActivityHstVO cmmActivityHstVO) throws EgovBizException;
}
